import { arc } from "d3";

export const Teeth = ({teethRadius, teethWidth, mouthWidth, toothWidth, teethSpace}) => {
  
  const teethArc =  arc()
    .innerRadius(teethRadius)
    .outerRadius(teethRadius + teethWidth)
    .startAngle(Math.PI / 2)
    .endAngle(Math.PI * 3/2);
  
    return <>
    <path fill="white" d={teethArc()}/> 
    <line x1="160" y1="10" x2="-160" y2="10" stroke="black" stroke-width={mouthWidth} />
    <line x1="0" y1="0" x2="0" y2="160" stroke="black" stroke-width={toothWidth} />
    <line x1={teethSpace} y1="0" x2={teethSpace} y2="150" stroke="black" stroke-width={toothWidth} />
    <line x1={teethSpace * 2} y1="0" x2={teethSpace * 2} y2="130" stroke="black" stroke-width={toothWidth} />
    <line x1={-teethSpace} y1="0" x2={-teethSpace} y2="150" stroke="black" stroke-width={toothWidth} />
    <line x1={-teethSpace * 2} y1="0" x2={-teethSpace * 2} y2="130" stroke="black" stroke-width={toothWidth} /> 
    </> 
};